package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsHealthLife;
import com.fs.his.param.FsHealthLifeParam;
import com.fs.his.param.FsHealthLifeUParam;
import com.fs.his.vo.FsHealthLifeListUVO;
import com.fs.his.vo.FsHealthLifeListVO;

/**
 * 健康生活Service接口
 *
 * @author fs
 * @date 2024-09-02
 */
public interface IFsHealthLifeService
{
    /**
     * 查询健康生活
     *
     * @param id 健康生活主键
     * @return 健康生活
     */
    public FsHealthLife selectFsHealthLifeById(Long id);

    /**
     * 查询健康生活列表
     *
     * @param fsHealthLife 健康生活
     * @return 健康生活集合
     */
    public List<FsHealthLife> selectFsHealthLifeList(FsHealthLife fsHealthLife);

    /**
     * 新增健康生活
     *
     * @param fsHealthLife 健康生活
     * @return 结果
     */
    public int insertFsHealthLife(FsHealthLife fsHealthLife);

    /**
     * 修改健康生活
     *
     * @param fsHealthLife 健康生活
     * @return 结果
     */
    public int updateFsHealthLife(FsHealthLife fsHealthLife);

    /**
     * 批量删除健康生活
     *
     * @param ids 需要删除的健康生活主键集合
     * @return 结果
     */
    public int deleteFsHealthLifeByIds(Long[] ids);

    /**
     * 删除健康生活信息
     *
     * @param id 健康生活主键
     * @return 结果
     */
    public int deleteFsHealthLifeById(Long id);

    List<FsHealthLifeListUVO> selectFsHealthLifeListUVO(FsHealthLifeUParam param);

    List<FsHealthLifeListVO> selectFsHealthLifeListVO(FsHealthLifeParam fsHealthLife);

    FsHealthLifeListUVO selectFsHealthLifeDayByUserId(FsHealthLifeUParam param);
}
